Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.web.modules.dashboard
Class DashboardInfo

    java.lang.Object
      com.jinfonet.web.modules.dashboard.DashboardInfo

    public class DashboardInfo

extends java.lang.Object

This class is to define dashboard information for JDashboard call-back functions.

Constructor Summary
`DashboardInfo()` Create a new `DashboardInfo` instance.
`DashboardInfo(java.lang.String dshPath, java.lang.String dshName, java.util.List<LCInfo> lcs, LCInfo currentLC, java.lang.String userName)` Create a new `DashboardInfo` instance.

Method Summary
`LCInfo` | `getCurrentLC()` Return current library component.
`java.lang.String` | `getDshName()` Return dashboard name.
`java.lang.String` | `getDshPath()` Return dashboard path.
`java.util.List<LCInfo>` | `getLCs()` Return the list of other library components in the dashboard.
`java.lang.String` | `getUserName()` Return user name.
`void` | `setCurrentLC(LCInfo currentLC)` Set current library component.
`void` | `setDshName(java.lang.String dshName)` Set dashboard name.
`void` | `setDshPath(java.lang.String dshPath)` Set dashboard path.
`void` | `setLCs(java.util.List<LCInfo> lcs)` Set other library components in the dashboard.
`void` | `setUserName(java.lang.String userName)` Set user name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DashboardInfo

    public DashboardInfo()

  Create a new `DashboardInfo` instance.

### DashboardInfo

    public DashboardInfo(java.lang.String dshPath,
                         java.lang.String dshName,
                         java.util.List<LCInfo> lcs,
                         LCInfo currentLC,
                         java.lang.String userName)

  Create a new `DashboardInfo` instance.

  Parameters:
    `dshPath` - the dashboard path of the dashboardInfo.
    `dshName` - the dashboard name of the dashboardInfo.
    `lcs` - the list of other LCs in the dashboard.
    `currentLC` - the current LC information.
    `userName` - the name of the user who is processing the action.

Method Detail

### getDshPath

    public java.lang.String getDshPath()

  Return dashboard path.

  Returns:
    dashboard path.

### setDshPath

    public void setDshPath(java.lang.String dshPath)

  Set dashboard path.

  Parameters:
    `dshPath` - the dashboard path of the dashboardInfo.

### getDshName

    public java.lang.String getDshName()

  Return dashboard name.

  Returns:
    dashboard name.

### setDshName

    public void setDshName(java.lang.String dshName)

  Set dashboard name.

  Parameters:
    `dshName` - the dashboard name of the dashboardInfo.

### getUserName

    public java.lang.String getUserName()

  Return user name.

  Returns:
    user name.

### setUserName

    public void setUserName(java.lang.String userName)

  Set user name.

  Parameters:
    `userName` - the user name.

### getCurrentLC

    public LCInfo getCurrentLC()

  Return current library component.

  Returns:
    current library component.

### setCurrentLC

    public void setCurrentLC(LCInfo currentLC)

  Set current library component.

  Parameters:
    `currentLC` - the current library component.

### getLCs

    public java.util.List<LCInfo> getLCs()

  Return the list of other library components in the dashboard.

  Returns:
    the list of library components.

### setLCs

    public void setLCs(java.util.List<LCInfo> lcs)

  Set other library components in the dashboard.

  Parameters:
    `lcs` - the list of other library components in the dashboard.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD